Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 135009

Summary: app-misc/mc-4.6.1-r1 - lazy bindings
Product: Gentoo Linux Reporter: Andrej Kacian (RETIRED) <ticho>
Component: New packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: VERIFIED FIXED    
Severity: normal CC: lanius, qa
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 122768    

Description Andrej Kacian (RETIRED) gentoo-dev 2006-05-31 02:37:21 UTC
Emerge of midnight commander bombs out with "stricter" in FEATURES:

make[2]: Leaving directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1/syntax'
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1/syntax'
make[1]: Entering directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1'
make[2]: Entering directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1'
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.1-r1/work/mc-4.6.1'
 * Applying mc-4.6.0-ebuild-syntax.patch ...                                      [ ok ]
>>> Completed installing mc-4.6.1-r1 into /var/tmp/portage/mc-4.6.1-r1/image/

man:
gzipping man page: mc.1
gzipping man page: mcedit.1
gzipping man page: mcview.1
strip: i686-pc-linux-gnu-strip --strip-unneeded
   usr/bin/mc
   usr/bin/mcmfmt
   usr/lib/mc/cons.saver

QA Notice: the following files are setXid, dyn linked, and using lazy bindings
 This combination is generally discouraged.  Try re-emerging the package:
 LDFLAGS='-Wl,-z,now' emerge mc
LAZY usr/lib/mc/cons.saver


!!! ERROR: app-misc/mc-4.6.1-r1 failed.
Call stack:
  misc-functions.sh, line 411:   Called install_qa_check
  misc-functions.sh, line 166:   Called die

!!! Aborting due to QA concerns:  setXid lazy bindings,
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! install_qa_check failed; exiting.
Comment 1 Andrej Kacian (RETIRED) gentoo-dev 2006-05-31 15:03:17 UTC
After poking in bugzilla for bugs for similar issues, I came up with this patch to fix this:

--- mc-4.6.1-r1.ebuild	3 May 2006 14:47:46 -0000	1.1
+++ mc-4.6.1-r1.ebuild	31 May 2006 22:02:18 -0000
@@ -64,6 +64,9 @@
 src_compile() {
 	append-flags -I/usr/include/gssapi
 
+	# Prevent lazy bindings for +s binary cons.saver (bug #135009)
+	append-ldflags $(bindnow-flags)
+
 	filter-flags -malign-double
 
 	local myconf=""
Comment 2 Andrej Kacian (RETIRED) gentoo-dev 2006-05-31 15:23:16 UTC
Ok, another patch - this time we force necessary LDFLAGS only for cons.saver binary.

--- mc-4.6.1-r1.ebuild	3 May 2006 14:47:46 -0000	1.1
+++ mc-4.6.1-r1.ebuild	31 May 2006 22:22:34 -0000
@@ -59,6 +59,10 @@
 		epatch ${DISTDIR}/${P}-utf8.patch.bz2
 	fi
 	epatch ${FILESDIR}/${P}-nonblock.patch
+
+	# Prevent lazy bindings in cons.saver binary (bug #135009)
+	sed -i -e "s:^\(cons_saver_LDADD = .*\):\1 $(bindnow-flags):" \
+		src/Makefile.in
 }
 
 src_compile() {
Comment 3 Emanuele Giaquinta (RETIRED) gentoo-dev 2006-06-27 14:33:21 UTC
Closing, Ticho fixed it himself a while ago.